                                								 
							--==========================================================--
                                            -- ForosUI v 1.1.3, (19.1.2016)
											      -- Author: Tesaro
										    -- Contact: Forsemark@gmail.com
                             --==========================================================--

local frame=CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")

 --============================================= TEXTURE SETTINGS ==============================================--
frame:SetScript("OnEvent", function(self, event, addon)
        if (addon == "Blizzard_TimeManager") then
                for i, v in pairs({PlayerFrameTexture, TargetFrameTextureFrameTexture, PetFrameTexture, PartyMemberFrame1Texture, PartyMemberFrame2Texture, PartyMemberFrame3Texture, PartyMemberFrame4Texture,
                        PartyMemberFrame1PetFrameTexture, PartyMemberFrame2PetFrameTexture, PartyMemberFrame3PetFrameTexture, PartyMemberFrame4PetFrameTexture, FocusFrameTextureFrameTexture,
                        TargetFrameToTTextureFrameTexture, FocusFrameToTTextureFrameTexture,  FocusFrameSpellBarBorder, TargetFrameSpellBarBorder, 
                        select(1, TimeManagerClockButton:GetRegions())
                }) do
                        v:SetVertexColor(0, 0, 0)
                end

                for i,v in pairs({ select(2, TimeManagerClockButton:GetRegions()) }) do
                        v:SetVertexColor(1, 1, 1)
                end

                self:UnregisterEvent("ADDON_LOADED")
                frame:SetScript("OnEvent", nil)
        end
end)


--============================================== SECURED FRAMES ==========================================--
hooksecurefunc("BuffFrame_UpdateAllBuffAnchors", function() for i=1,BUFF_ACTUAL_DISPLAY do _G["BuffButton"..i]:SetSize(37, 37) end end)
hooksecurefunc("DebuffButton_UpdateAnchors", function(b,i) _G[b..i]:SetSize(37,37) end)


--=============================================== GRYPHONE ==============================================--

MainMenuBarLeftEndCap:SetTexture("Interface\\AddOns\\ForosUIframes\\ForosIMG\\shadow.tga")
MainMenuBarRightEndCap:SetTexture("Interface\\AddOns\\ForosUIframes\\ForosIMG\\shadow.tga")
MainMenuBarLeftEndCap:Show()
MainMenuBarRightEndCap:Show()


--========================================== END: ForosUI_Frame ==========================================--
hooksecurefunc("UnitFramePortrait_Update",function(self)
        if self.portrait then
                if UnitIsPlayer(self.unit) then                         
                        local t = CLASS_ICON_TCOORDS[select(2, UnitClass(self.unit))]
                        if t then
                                self.portrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
                                self.portrait:SetTexCoord(unpack(t))
                        end
                else
                        self.portrait:SetTexCoord(0,1,0,1)
                end
        end
end)

--============================================ END: CLASS ICON ============================================--
local function colour(statusbar, unit)
        local _, class, c
        if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) then
                _, class = UnitClass(unit)
                c = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
                statusbar:SetStatusBarColor(c.r, c.g, c.b)
                PlayerFrameHealthBar:SetStatusBarColor(0,1,0)
        end
end

hooksecurefunc("UnitFrameHealthBar_Update", colour)
hooksecurefunc("HealthBar_OnValueChanged", function(self)
        colour(self, self.unit)
end)

local frame = CreateFrame("FRAME")
frame:RegisterEvent("PARTY_MEMBERS_CHANGED")
frame:RegisterEvent("PLAYER_TARGET_CHANGED")
frame:RegisterEvent("PLAYER_FOCUS_CHANGED")
frame:RegisterEvent("UNIT_FACTION")

local function eventHandler(self, event, ...)
        if UnitIsPlayer("target") then
                c = RAID_CLASS_COLORS[select(2, UnitClass("target"))]
                TargetFrameNameBackground:SetVertexColor(c.r, c.g, c.b)
        end
        if UnitIsPlayer("focus") then
                c = RAID_CLASS_COLORS[select(2, UnitClass("focus"))]
                FocusFrameNameBackground:SetVertexColor(c.r, c.g, c.b)
        end
end
--================================================== MOVEMENT ==========================================--
hooksecurefunc("ActionButton_OnEvent",function(self, event, ...)
                if ( event == "PLAYER_TARGET_CHANGED" ) then
                        self.newTimer = self.rangeTimer
                end
        end)
 
        hooksecurefunc("ActionButton_UpdateUsable",function(self)
                local icon = _G[self:GetName().."Icon"]
                local valid = IsActionInRange(self.action)
 
                if ( valid == 0 ) then
                        icon:SetVertexColor(1.0, 0.1, 0.1)
                end
        end)
 
        hooksecurefunc("ActionButton_OnUpdate",function(self, elapsed)
                local rangeTimer = self.newTimer
 
                if ( rangeTimer ) then
                        rangeTimer = rangeTimer - elapsed
 
                        if ( rangeTimer <= 0 ) then
                                ActionButton_UpdateUsable(self)
                                rangeTimer = TOOLTIP_UPDATE_TIME
                        end
 
                        self.newTimer = rangeTimer
                end
        end)

hooksecurefunc(getmetatable(PlayerFrameHealthBar).__index,"Show",function(s)
    if s:GetParent().healthbar then
        if s.st == nil then
            s:SetStatusBarTexture("Interface\\TokenFrame\\UI-TokenFrame-CategoryButton")
            s:GetStatusBarTexture():SetDesaturated(1)
            s:GetStatusBarTexture():SetTexCoord(0, 1, .609375, .796875)
            s:GetStatusBarTexture():SetHorizTile(true)
            s.st = true
        end
    end
end)

--=================================================== COLOR ==================================================-
UnitSelectionColor = function(unit)
if not UnitExists(unit) then return 1,1,1,1 end

local color = UnitIsPlayer(unit) and RAID_CLASS_COLORS[select(2, 
UnitClass(unit))] or FACTION_BAR_COLORS[UnitReaction(unit, 'player')]
if color then
if not UnitIsConnected(unit) then
return .5, .5, .5, 1
else
return 0, 0, 0, 0.5
end
else
if UnitIsTapped(unit) and not UnitIsTappedByPlayer(unit) then
return .5, .5, .5, 1
end
end
end

LARGE_NUMBER_SEPERATOR = ","

local f = CreateFrame("FRAME");
f:SetScript("OnEvent", function(self,event,...)
                        local arg1 =...;        
                        if (arg1=="Blizzard_CombatText") then
                          f:UnregisterEvent("ADDON_LOADED");
                          hooksecurefunc("CombatText_UpdateDisplayedMessages",
                          function ()
                                COMBAT_TEXT_LOCATIONS =
                                {startX  = 100,
                                startY = 384 * COMBAT_TEXT_Y_SCALE,
                                endX =200,
                                endY = 609 * COMBAT_TEXT_Y_SCALE};
                          end);
                        end
                        end);

hooksecurefunc('TargetFrame_CheckFaction', function(self)
  if ( not UnitPlayerControlled(self.unit) 
  and UnitIsTapped(self.unit) 
  and not UnitIsTappedByPlayer(self.unit) 
  and not UnitIsTappedByAllThreatList(self.unit) ) then
    self.nameBackground:SetVertexColor(0.0, 0.0, 0.0, 0.5);
    if ( self.portrait ) then
      self.portrait:SetVertexColor(0.5, 0.5, 0.5);
    end
  else
    self.nameBackground:SetVertexColor(0.0, 0.0, 0.0, 0.5);
    if ( self.portrait ) then
      self.portrait:SetVertexColor(1.0, 1.0, 1.0);
    end
  end  
end)

--========================================== RGB FOUNDATION review ======================================--
                                                --Next build
frame:SetScript("OnEvent", eventHandler)

local g = CreateFrame("Frame")
g:RegisterEvent("MERCHANT_SHOW")

g:SetScript("OnEvent", function()  
        local bag, slot
        for bag = 0, 4 do
                for slot = 0, GetContainerNumSlots(bag) do
                        local link = GetContainerItemLink(bag, slot)
                        if link and (select(3, GetItemInfo(link)) == 0) then
                                UseContainerItem(bag, slot)
                        end
                end
        end

        if(CanMerchantRepair()) then
                local cost = GetRepairAllCost()
                if cost > 0 then
                        local money = GetMoney()
                        if IsInGuild() then
                                local guildMoney = GetGuildBankWithdrawMoney()
                                if guildMoney > GetGuildBankMoney() then
                                        guildMoney = GetGuildBankMoney()
                                end
                                if guildMoney > cost and CanGuildBankRepair() then
                                        RepairAllItems(1)
                                        print(format("|cfff07100Repair cost covered by G-Bank: %.1fg|r", cost * 0.0001))
                                        return
                                end
                        end
                        if money > cost then
                                RepairAllItems()
                                print(format("|cffead000Repair cost: %.1fg|r", cost * 0.0001))
                        else
                                print("Not enough gold to cover the repair cost.")
                        end
                end
        end
end)
